gnutls_cipher_encrypt3(3)

NAME
gnutls_cipher_encrypt3 - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_cipher_encrypt3(gnutls_cipher_hd_t handle, const void * ptext, size_t ptext_len, void * ctext, size_t * ctext_len, unsigned flags);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t type

const void * ptext
    the data to encrypt

size_t ptext_len
    the length of data to encrypt

void * ctext
    the encrypted data

size_t * ctext_len
    the length of encrypted data (initially must hold the maximum available size)

unsigned flags
    flags for padding

DESCRIPTION
This function will encrypt the given data using the algorithm specified by the context. For block ciphers, ptext_len is typically a multiple of the block size. If not, the caller can instruct the function to pad the last block according to flags . Currently, the only available padding scheme is GNUTLS_CIPHER_PADDING_PKCS7. If ctext is not NULL, it must hold enough space to store resulting cipher text. To check the required size, this function can be called with ctext set to NULL. Then ctext_len will be updated without performing actual encryption.

RETURNS
Zero or a negative error code on error.

SINCE
3.7.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/